Get clients
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/accounting/clientsimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/accounting/clients"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/accounting/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"external_reference": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"name": "<string>",
"function": "<string>",
"is_company": true,
"company_id": "<string>",
"phone": "<string>",
"mobile": "<string>",
"email": "<string>",
"language": "<string>",
"internal_notes": "<string>",
"website": "<string>",
"vat": "<string>",
"company_number": "<string>",
"iban": "<string>",
"bank_account": "<string>",
"currency": "<string>",
"active": true,
"account_number": "<string>",
"id": "<string>",
"last_updated_on": "2023-11-07T05:31:56Z",
"addresses": [],
"third_party_account": "<string>",
"bank_accounts": [
{
"is_primary": true,
"currency": "<string>",
"iban": "<string>",
"bic_swift": "<string>",
"account_number": "<string>",
"routing_code": {
"type": "unknown",
"value": "<string>"
}
}
]
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Clients
Get clients
Returns a list of accounting clients
GET
/
consumers
/
{consumer_id}
/
accounting
/
clients
Get clients
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.
Filter based on the following fields: name, email, first_name, last_name, external_reference, vat and company_number
Retrieve clients created or updated after a specific datetime (e.g. 2023-01-31T15:00:00 for 31 of January 2023 at 3PM UTC). UTC is the only format that is supported on all connectors.
⌘I